package com.hzs.system.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.system.base.BdCubasdoc;
import com.hzs.common.domain.system.base.ext.BdCubasdocExt;
import com.hzs.system.base.param.BdCubasdocParam;

import java.util.List;

/**
 * 供应商设置 服务类
 */
public interface IBdCubasdocService extends IService<BdCubasdoc> {

    /*
     * @description: 根据条件查询供应商
     **/
    List<BdCubasdocExt> querySupplierByCondition(BdCubasdocParam cubasdocParam);

    /*
     * @description: 根据条件查询供应商(业务领用专用)
     **/
    List<BdCubasdocExt> querySupplierByProduct(BdCubasdocParam cubasdocParam);

    /*
     * @description: 根据条件查询客户
     **/
    List<BdCubasdocExt> queryCustomerByCondition(BdCubasdocParam cubasdocParam);

    /*
     * @description: 根据条件查询客商
     **/
    List<BdCubasdocExt> queryCubasdocByCondition(BdCubasdocParam cubasdocParam);

    /*
     * @description: 保存供应商
     **/
    void saveCubasdoc(BdCubasdocParam cubasdocParam, Long pkMember);

    /*
     * @description: 删除客商
     **/
    void deleteCuBasdoc(Integer pkId, Long pkMember);

    /**
     * @description: 查询登录管理员是否为供应商
     **/
    Integer queryThSupplierApplyUserList(Long userId);
}
